# Motion gesture

An action block that waits for a device motion gesture, like a shake, twist, etc.

The fiber will pause until the recorded motion gesture has been performed.

The detection algorithm requires a 0.5 second motionless delay between gestures to be able to tell them apart.

Note! How a gesture is performed may be personal, your shake may not be similar enough to someone else’s, so the user of a downloaded/shared flow may have to re-record a gesture.

## Options

- Record gesture — tap the button to start recording a gesture.
- Gesture name — name of the gesture, shown in block caption.